version: '2'

services:
    p2p-media:
        build: ./p2p-media
        container_name: p2p-media
        hostname: p2p-media
        restart: always
        entrypoint:
            - /bin/bash
            - /home/node/p2p-media/entrypoint.sh
        volumes:
            - ./p2p-media:/home/node/p2p-media
            - ./p2p-media/config.json:/home/node/wt-tracker/config.json:ro
        expose:
            - 8080
            - 9000
        networks:
            mynet:
              ipv4_address: 172.136.0.101

networks:
  mynet:
    driver: bridge
    ipam:
      config:
      - subnet: 172.136.0.0/24

